loci.formats.in

## Class PrairieMetadata.Sequence

- java.lang.Object
- - loci.formats.in.PrairieMetadata.Sequence

- Enclosing class:
    PrairieMetadata

      public class PrairieMetadata.Sequence
      extends java.lang.Object

  A Prairie `<Sequence>`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Integer` | `cycle` `cycle` of this `<Sequence>`.
    `private PrairieMetadata.Frame` | `firstFrame` The first actual `<Frame>` element for this `<Sequence>`.
    `private java.util.HashMap<java.lang.Integer,PrairieMetadata.Frame>` | `frames` `<Frame>` elements beneath this `<Sequence>`, keyed on each frame's `index`.
    `private int` | `indexMax` Maximum index value.
    `private int` | `indexMin` Minimum index value.
    `private PrairieMetadata.ValueTable` | `sequenceValues` Table of key/value pairs for this `<Sequence>`.
    `private boolean` | `spectralMode` `SpectralMode` of this `<Sequence>`.
    `private java.lang.String` | `type` `type` attribute of this `<Sequence>`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sequence(org.w3c.dom.Element sequenceElement)` Creates a new sequence by parsing the given `<Sequence>` element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCycle()` Gets the `cycle` associated with this `Sequence`.
    `PrairieMetadata.PFile` | `getFile(int index, int channel)` Gets the `Frame` at the given (`cycle`, `index`, `channel`).
    `PrairieMetadata.Frame` | `getFirstFrame()` Gets the first `Frame` of the `Sequence`.
    `PrairieMetadata.Frame` | `getFrame(int index)` Gets the `Frame` with the given `index`.
    `int` | `getIndexCount()` Gets the number of recorded indices at this `Sequence`.
    `int` | `getIndexMax()` Gets the maximum index value.
    `int` | `getIndexMin()` Gets the minimum index value.
    `java.lang.String` | `getType()` Gets the `type` associated with this `Sequence`.
    `PrairieMetadata.Value` | `getValue(java.lang.String key)` Gets the `value` of the given `key`, beneath this `Sequence`, inferring the value from the parent `<PVScan>` section as needed.
    `PrairieMetadata.ValueTable` | `getValues()` Gets the table of `Frame` key/value pairs.
    `boolean` | `isSpectralMode()`
    `boolean` | `isTimeSeries()` Gets whether this `Sequence` should be considered a time series.
    `void` | `parse(org.w3c.dom.Element sequenceElement)` Parses metadata from the given `Sequence` element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### frames

          private final java.util.HashMap<java.lang.Integer,PrairieMetadata.Frame> frames

      `<Frame>` elements beneath this `<Sequence>`, keyed on each frame's `index`.

    - #### sequenceValues

          private final PrairieMetadata.ValueTable sequenceValues

      Table of key/value pairs for this `<Sequence>`.

    - #### firstFrame

          private PrairieMetadata.Frame firstFrame

      The first actual `<Frame>` element for this `<Sequence>`.

    - #### indexMin

          private int indexMin

      Minimum index value.

    - #### indexMax

          private int indexMax

      Maximum index value.

    - #### type

          private java.lang.String type

      `type` attribute of this `<Sequence>`.

    - #### cycle

          private java.lang.Integer cycle

      `cycle` of this `<Sequence>`.

    - #### spectralMode

          private boolean spectralMode

      `SpectralMode` of this `<Sequence>`.

  - ### Constructor Detail

    - #### Sequence

          public Sequence(org.w3c.dom.Element sequenceElement)

      Creates a new sequence by parsing the given `<Sequence>` element.

  - ### Method Detail

    - #### parse

          public void parse(org.w3c.dom.Element sequenceElement)

      Parses metadata from the given `Sequence` element.

    - #### getType

          public java.lang.String getType()

      Gets the `type` associated with this `Sequence`.

    - #### isTimeSeries

          public boolean isTimeSeries()

      Gets whether this `Sequence` should be considered a time series.

    - #### getCycle

          public int getCycle()

      Gets the `cycle` associated with this `Sequence`.

    - #### isSpectralMode

          public boolean isSpectralMode()

    - #### getIndexMin

          public int getIndexMin()

      Gets the minimum index value. Matches the smallest `index` attribute found, and hence will not necessarily equal `1` (though in practice it usually does).

    - #### getIndexMax

          public int getIndexMax()

      Gets the maximum index value. Matches the largest `index` attribute found, and hence will not necessarily equal `frames#size()` (though in practice it usually does).

    - #### getIndexCount

          public int getIndexCount()

      Gets the number of recorded indices at this `Sequence`. This value is equal to `getIndexMax()` - `getIndexMin()` + 1.

    - #### getFirstFrame

          public PrairieMetadata.Frame getFirstFrame()

      Gets the first `Frame` of the `Sequence`.

    - #### getFrame

          public PrairieMetadata.Frame getFrame(int index)

      Gets the `Frame` with the given `index`.

    - #### getFile

          public PrairieMetadata.PFile getFile(int index,
                                               int channel)

      Gets the `Frame` at the given (`cycle`, `index`, `channel`).

    - #### getValue

          public PrairieMetadata.Value getValue(java.lang.String key)

      Gets the `value` of the given `key`, beneath this `Sequence`, inferring the value from the parent `<PVScan>` section as needed.

    - #### getValues

          public PrairieMetadata.ValueTable getValues()

      Gets the table of `Frame` key/value pairs.

Copyright © 2026 Open Microscopy Environment